## kguiaddons 5.92.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.92.0") # handled by release scripts
project(KGuiAddons VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 5.92.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)



option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

if (UNIX AND NOT ANDROID AND NOT APPLE)
    option(WITH_WAYLAND "Build with support for KeySequenceEditor inhibiting shortcuts on Wayland" ON)
    add_feature_info(WAYLAND ${WITH_WAYLAND} "KeySequenceEditor inhibiting shortcuts on Wayland")

    option(WITH_X11 "Build with support for KeySequenceEditor inhibiting shortcuts on X11" ON)
    add_feature_info(X11 ${WITH_X11} "KeySequenceEditor inhibiting shortcuts on X11")
else()
    set(WITH_WAYLAND OFF)
    set(WITH_X11 OFF)
endif()

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)

set(REQUIRED_QT_VERSION 5.15.2)
if (WITH_WAYLAND)
    set(_qtgui_find_components COMPONENTS Private)
endif()
# QtGui must be found before Qt5WaylandClient
find_package(Qt${QT_MAJOR_VERSION}Gui ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE ${_qtgui_find_components})

if (WITH_X11)
    find_package(X11 REQUIRED MODULE)
    find_package(XCB REQUIRED MODULE COMPONENTS XCB)
if (QT_MAJOR_VERSION STREQUAL "5")
    find_package(Qt5X11Extras ${REQUIRED_QT_VERSION} CONFIG)
else()
    # qtx11extras_p.h is in Qt6Gui, which is already found a couple of lines above
endif()
endif()

if (WITH_WAYLAND)
    find_package(Qt${QT_MAJOR_VERSION}WaylandClient ${REQUIRED_QT_VERSION} CONFIG)
    # With Qt6 use qt_generate_wayland_protocol_client_sources instead of
    # ecm_add_qtwayland_client_protocol (in QtWaylandScanner from ECM)
    if (NOT TARGET Qt6::WaylandClient)
        find_package(QtWaylandScanner REQUIRED)
    endif()
    find_package(Wayland 1.9 REQUIRED Client)
endif()

include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)

ecm_setup_version(PROJECT VARIABLE_PREFIX KGUIADDONS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kguiaddons_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5GuiAddonsConfigVersion.cmake"
                        SOVERSION 5)


add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5GuiAddons")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5GuiAddons_QCH
        FILE KF5GuiAddonsQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5GuiAddonsQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF5GuiAddonsConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF5GuiAddonsConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF5GuiAddonsConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF5GuiAddonsConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )


install(EXPORT KF5GuiAddonsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF5GuiAddonsTargets.cmake NAMESPACE KF5:: COMPONENT Devel)


install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kguiaddons_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KGuiAddons COMPONENT Devel)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
add_library(KF5GuiAddons)
add_library(KF5::GuiAddons ALIAS KF5GuiAddons)

set_target_properties(KF5GuiAddons PROPERTIES
    VERSION     ${KGUIADDONS_VERSION}
    SOVERSION   ${KGUIADDONS_SOVERSION}
    EXPORT_NAME GuiAddons
)

target_sources(KF5GuiAddons PRIVATE
 colors/kcolorspaces.cpp
 colors/kcolorutils.cpp
 colors/kcolorcollection.cpp
 colors/kcolormimedata.cpp
 text/kdatevalidator.cpp
 text/kwordwrap.cpp
 fonts/kfontutils.cpp
 util/kiconutils.cpp
 util/klocalimagecacheimpl.cpp
 util/kmodifierkeyinfo.cpp
 util/kmodifierkeyinfoprovider.cpp
 util/kurlhandler_p.cpp
 util/kcursorsaver.cpp
 recorder/keyboardgrabber.cpp
 recorder/keysequencerecorder.cpp
 systemclipboard/qtclipboard.cpp
 systemclipboard/ksystemclipboard.cpp
)

ecm_qt_declare_logging_category(KF5GuiAddons
    HEADER kguiaddons_debug.h
    IDENTIFIER KGUIADDONS_LOG
    CATEGORY_NAME kf.guiaddons
    DESCRIPTION "KGuiAddons"
    EXPORT KGUIADDONS
)

if(WITH_WAYLAND)
    if (TARGET Qt6::WaylandClient)
        qt_generate_wayland_protocol_client_sources(KF5GuiAddons
            FILES
                "${CMAKE_CURRENT_SOURCE_DIR}/recorder/keyboard-shortcuts-inhibit-unstable-v1.xml"
                "${CMAKE_CURRENT_SOURCE_DIR}/systemclipboard/wlr-data-control-unstable-v1.xml"
        )
    else()
        set(wayland_SRCS)
        ecm_add_qtwayland_client_protocol(wayland_SRCS
            PROTOCOL recorder/keyboard-shortcuts-inhibit-unstable-v1.xml
            BASENAME keyboard-shortcuts-inhibit-unstable-v1
        )
        ecm_add_qtwayland_client_protocol(wayland_SRCS
            PROTOCOL  systemclipboard/wlr-data-control-unstable-v1.xml
            BASENAME wlr-data-control-unstable-v1
        )
        target_sources(KF5GuiAddons PRIVATE
            ${wayland_SRCS}
        )
    endif()
    target_sources(KF5GuiAddons PRIVATE
        recorder/waylandinhibition.cpp
        systemclipboard/waylandclipboard.cpp
    )
    target_compile_definitions(KF5GuiAddons PRIVATE WITH_WAYLAND)
    target_link_libraries(KF5GuiAddons PRIVATE Qt${QT_MAJOR_VERSION}::GuiPrivate Qt${QT_MAJOR_VERSION}::WaylandClient Wayland::Client)
endif()

generate_export_header(KF5GuiAddons BASE_NAME KGuiAddons)

set(kguiaddons_INCLUDES
  ${CMAKE_CURRENT_SOURCE_DIR}/colors
  ${CMAKE_CURRENT_SOURCE_DIR}/fonts
  ${CMAKE_CURRENT_SOURCE_DIR}/text
  ${CMAKE_CURRENT_SOURCE_DIR}/util
  ${CMAKE_CURRENT_SOURCE_DIR}/recorder
  ${CMAKE_CURRENT_SOURCE_DIR}/systemclipboard
  )
target_include_directories(KF5GuiAddons PUBLIC "$<BUILD_INTERFACE:${kguiaddons_INCLUDES}>")
target_include_directories(KF5GuiAddons INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KGuiAddons>" )
target_compile_definitions(KF5GuiAddons INTERFACE "$<INSTALL_INTERFACE:KGUIADDONS_LIB>")
target_link_libraries(KF5GuiAddons PUBLIC Qt${QT_MAJOR_VERSION}::Gui)

if (WITH_X11 AND (TARGET Qt5::X11Extras OR TARGET Qt6::Gui))
    add_library(kmodifierkey_xcb MODULE util/kmodifierkeyinfoprovider_xcb.cpp)
    install(TARGETS kmodifierkey_xcb DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf${QT_MAJOR_VERSION}/kguiaddons/kmodifierkey/)

    if (TARGET Qt5::X11Extras)
        set(_qt_x11_libs Qt5::X11Extras)
    elseif (TARGET Qt6::Gui)
        set(_qt_x11_libs Qt6::GuiPrivate) # qtx11extras_p.h
    endif()
    target_link_libraries(kmodifierkey_xcb PRIVATE X11::Xkb XCB::XCB KF5::GuiAddons ${_qt_x11_libs})
endif()

ecm_generate_headers(KGuiAddons_HEADERS
  HEADER_NAMES
  KColorUtils
  KColorCollection
  KColorMimeData

  RELATIVE colors
  REQUIRED_HEADERS KGuiAddons_HEADERS
)
ecm_generate_headers(KGuiAddons_HEADERS
  HEADER_NAMES
  KDateValidator
  KWordWrap

  RELATIVE text
  REQUIRED_HEADERS KGuiAddons_HEADERS
)
ecm_generate_headers(KGuiAddons_HEADERS
  HEADER_NAMES
  KFontUtils

  RELATIVE fonts
  REQUIRED_HEADERS KGuiAddons_HEADERS
)
ecm_generate_headers(KGuiAddons_HEADERS
  HEADER_NAMES
  KIconUtils
  KImageCache
  KModifierKeyInfo
  KCursorSaver

  RELATIVE util
  REQUIRED_HEADERS KGuiAddons_HEADERS
)

ecm_generate_headers(KGuiAddons_HEADERS
    HEADER_NAMES
    KeySequenceRecorder

    RELATIVE recorder
    REQUIRED_HEADERS KGuiAddons_HEADERS
)

#add_subdirectory(systemclipboard)

ecm_generate_headers(KGuiAddons_HEADERS
    HEADER_NAMES
    KSystemClipboard

    RELATIVE systemclipboard
    REQUIRED_HEADERS KGuiAddons_HEADERS
)

install(TARGETS KF5GuiAddons EXPORT KF5GuiAddonsTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kguiaddons_export.h
  util/kmodifierkeyinfoprovider_p.h
  util/klocalimagecacheimpl.h # implementation detail, no forwarding header
  ${KGuiAddons_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KGuiAddons COMPONENT Devel
)

if(BUILD_QCH)
    ecm_add_qch(
        KF5GuiAddons_QCH
        NAME KGuiAddons
        BASE_NAME KF5GuiAddons
        VERSION ${KF_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KGuiAddons_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt5Gui_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
            ${kguiaddons_INCLUDES}
        BLANK_MACROS
            KGUIADDONS_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KGuiAddons LIB_NAME KF5GuiAddons DEPS "gui" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/KGuiAddons)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

ecm_qt_install_logging_categories(
    EXPORT KGUIADDONS
    FILE kguiaddons.categories
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

if(BUILD_TESTING)
    add_executable(pasteclient systemclipboard/tests/paste.cpp)

    target_link_libraries(pasteclient
        KF5GuiAddons
    )
endif()

add_subdirectory(geo-scheme-handler)

=== debian/changelog ===
kguiaddons (5.92.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.92.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 16 Mar 2022 16:26:58 +0000

kguiaddons (5.91.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.91.0)
  * Update installed files
  * Add new packages:
    - libkf5guiaddons-bin
    - libkf5guiaddons-data

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 14 Feb 2022 17:08:15 +0000

kguiaddons (5.90.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.90.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 16:47:02 +0000

kguiaddons (5.89.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.89.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 12 Dec 2021 15:16:04 +0000

kguiaddons (5.88.0-1ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 18:11:10 +0000

kguiaddons (5.88.0-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    _ Keep our symbols files.

 -- Rik Mills <rikmills@kde.org>  Sat, 27 Nov 2021 13:42:10 +0000

kguiaddons (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:39 +0900

kguiaddons (5.88.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.88.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Nov 2021 18:18:32 +0000

kguiaddons (5.87.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.87.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 11 Nov 2021 11:05:39 +0000

kguiaddons (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 10:55:01 +0900

kguiaddons (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:46 +0900

kguiaddons (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).
  * Update build-deps and deps with the info from cmake

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:51:26 +0900

kguiaddons (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:04 +0900

kguiaddons (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).
  * Update depends from cmake.
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 13:25:32 +0900

kguiaddons (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Update dependencies from cmake.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 22:00:13 +0900

kguiaddons (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:18 +0900

kguiaddons (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:34 +0900

kguiaddons (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Remove graphviz from build depends.
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:28 +0900

=== debian/control ===
Source: kguiaddons
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.92.0~),
               libqt5sql5-sqlite:native,
               libqt5waylandclient5-dev (>= 5.15.2~) [linux-any],
               libqt5x11extras5-dev (>= 5.15.2~),
               libwayland-dev (>= 1.9~) [linux-any],
               libx11-dev,
               libxcb1-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qtbase5-private-dev,
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
               qtwayland5-dev-tools (>= 5.15.0~) [linux-any],
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kguiaddons
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kguiaddons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kguiaddons
Rules-Requires-Root: no

Package: libkf5guiaddons-dev
Section: libdevel
Architecture: any
Depends: libkf5coreaddons-dev (>= 5.92.0~),
         libkf5guiaddons5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5guiaddons-doc (= ${source:Version})
Description: development headers for the kguiaddons framework
 This package contains development files for building software that uses
 libraries from the kguiaddon framework
Breaks: libkf5configwidgets-dev (<< 5.54), libkf5kdelibs4support-dev (<< 5.54)

Package: libkf5guiaddons-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: additional addons for QtGui (documentation)
 Qt widgets for colours, fonts and text
 .
 This package contains the qch documentation files.

Package: libkf5guiaddons-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: additional addons for QtGui (runtime)
 Qt widgets for colours, fonts and text
 .
 This package contains the data files.

Package: libkf5guiaddons5
Architecture: any
Multi-Arch: same
Depends: libkf5guiaddons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional addons for QtGui
 Qt widgets for colours, fonts and text
Breaks: libkf5configwidgets5 (<< 5.54),
        libkf5kdelibs4support5 (<< 5.54),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5plasma5 (<< 5.54),
        libkf5texteditor5 (<< 5.54),

Package: libkf5guiaddons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: additional addons for QtGui (documentation)
 Qt widgets for colours, fonts and text
 .
 This package contains the data files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

ifneq (linux,$(DEB_HOST_ARCH_OS))
EXTRA_CMAKE_ARGS += -DWITH_WAYLAND=OFF
endif

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=OFF $(EXTRA_CMAKE_ARGS)

override_dh_shlibdeps:
	dh_shlibdeps -- -xlibkf5guiaddons-bin

override_dh_auto_test:
	# Disable auto tests at build time
	:

## kguiaddons 5.98.0

=== debian/changelog ===
kguiaddons (5.98.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.98.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Sep 2022 11:31:55 +0100

kguiaddons (5.97.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.97.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Aug 2022 14:04:06 +0100

kguiaddons (5.96.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.96.0)
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jul 2022 16:29:58 +0100

kguiaddons (5.95.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.95.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jun 2022 09:55:33 +0100

kguiaddons (5.94.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.94.0)
  * New build depend on plasma-wayland-protocols (>= 1.7.0~)
  * Update install files.
  * Update symbols.
  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 May 2022 16:19:12 +0100

kguiaddons (5.93.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.93.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Apr 2022 08:22:44 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.92.0~),
+               extra-cmake-modules (>= 5.98.0~),
                libqt5sql5-sqlite:native,
                libqt5waylandclient5-dev (>= 5.15.2~) [linux-any],
                libqt5x11extras5-dev (>= 5.15.2~),
@@ -16,6 +16,7 @@
                libxcb1-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
+               plasma-wayland-protocols (>= 1.7.0~),
                qtbase5-dev (>= 5.15.2~),
                qtbase5-private-dev,
                qttools5-dev,
@@ -30,7 +31,7 @@
 Package: libkf5guiaddons-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5coreaddons-dev (>= 5.92.0~),
+Depends: libkf5coreaddons-dev (>= 5.98.0~),
          libkf5guiaddons5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},

## kguiaddons 5.100.0

=== debian/changelog ===
kguiaddons (5.100.0-3) unstable; urgency=medium

  * Team upload.
  * Update the symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Fri, 25 Nov 2022 07:50:44 +0100

kguiaddons (5.100.0-2) unstable; urgency=medium

  * Team upload.
  * Update the symbols files from the logs of buildds.
  * Remove breaks/replaces for existing packages with versions older than
    oldstable.

 -- Pino Toscano <pino@debian.org>  Sun, 20 Nov 2022 17:13:48 +0100

kguiaddons (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.99.0.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.100.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:18:56 +0100

kguiaddons (5.98.0-2) unstable; urgency=medium

  * Team upload.
  * Mark a Linux-only symbol in the symbols file as linux-any.
  * Modernize the building more:
    - add the dh-sequence-pkgkde-symbolshelper build dependency to use the
      pkgkde_symbolshelper automatically
    - drop the manually specified pkgkde_symbolshelper addon for dh

 -- Pino Toscano <pino@debian.org>  Thu, 06 Oct 2022 07:55:52 +0200

kguiaddons (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:35 +0200

kguiaddons (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:27 +0200

kguiaddons (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Refresh lintian overrides.
  * Move the desktop files for kde-geo-uri-handler to libkf5guiaddons-
    bin alongside the binary.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:32:56 +0200

kguiaddons (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).
  * Update the list of installed files from build logs.
  * Update symbols from build for 5.94.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:02 +0200

kguiaddons (5.93.0-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - drop all the manually specified addons and buildsystem for dh
  * Remove inactive Uploaders.
  * Remove the unused ${shlibs:Depends} substvar from libkf5guiaddons-data.

 -- Pino Toscano <pino@debian.org>  Sat, 14 May 2022 17:49:46 +0200

kguiaddons (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.92.0).
  * Update the list of installed files.
  * Add libkf5guiaddons-data and libkf5guiaddons-bin packages to split shared
    data and the new kde-geo-uri-handler binary.
  * New upstream release (5.93.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:43 +0200

kguiaddons (5.90.0-2) unstable; urgency=medium

  * Team upload.
  * Mark few more Linux symbols as linux-any.
  * CI: enable again blhc, as it works fine now with blhc 0.13.

 -- Pino Toscano <pino@debian.org>  Sat, 19 Feb 2022 11:08:26 +0100

kguiaddons (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Update symbols from build for 5.90.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:41 +0100

=== debian/control ===
Source: kguiaddons
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 5.100.0~),
               libqt5sql5-sqlite:native,
               libqt5waylandclient5-dev (>= 5.15.2~) [linux-any],
               libqt5x11extras5-dev (>= 5.15.2~),
               libwayland-dev (>= 1.9~) [linux-any],
               libx11-dev,
               libxcb1-dev,
               pkg-config,
               plasma-wayland-protocols (>= 1.7.0~),
               qtbase5-dev (>= 5.15.2~),
               qtbase5-private-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
               qtwayland5-dev-tools (>= 5.15.0~) [linux-any],
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/frameworks/kguiaddons
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kguiaddons
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kguiaddons.git
Rules-Requires-Root: no

Package: libkf5guiaddons-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5guiaddons-data (<< 5.96.0-1)
Replaces: libkf5guiaddons-data (<< 5.96.0-1)
Description: additional addons for QtGui
 Qt widgets for colours, fonts and text
 .
 This package contains kde-geo-uri-handler.

Package: libkf5guiaddons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5guiaddons5 (<< 5.92.0-1)
Replaces: libkf5guiaddons5 (<< 5.92.0-1)
Description: additional addons for QtGui
 Qt widgets for colours, fonts and text
 .
 This package contains shared data files.

Package: libkf5guiaddons-dev
Section: libdevel
Architecture: any
Depends: libkf5coreaddons-dev (>= 5.84.0~),
         libkf5guiaddons5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5guiaddons-doc (= ${source:Version})
Description: development headers for the kguiaddons framework
 This package contains development files for building software that uses
 libraries from the kguiaddon framework

Package: libkf5guiaddons-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: additional addons for QtGui (documentation)
 Qt widgets for colours, fonts and text
 .
 This package contains the qch documentation files.

Package: libkf5guiaddons5
Architecture: any
Multi-Arch: same
Depends: libkf5guiaddons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5guiaddons-bin (= ${binary:Version})
Description: additional addons for QtGui
 Qt widgets for colours, fonts and text

## kguiaddons 5.103.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,35 +1,44 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.92.0") # handled by release scripts
+set(KF_VERSION "5.103.0") # handled by release scripts
 project(KGuiAddons VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.92.0  NO_MODULE)
+find_package(ECM 5.103.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
+include(KDEInstallDirs)
+include(KDECMakeSettings)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
+
+include(KDEGitCommitHooks)
+include(ECMSetupVersion)
+include(ECMGenerateHeaders)
+include(ECMQtDeclareLoggingCategory)
+include(ECMDeprecationSettings)
+include(ECMAddQch)
+include(GenerateExportHeader)
 
 option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
 add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 
 if (UNIX AND NOT ANDROID AND NOT APPLE)
-    option(WITH_WAYLAND "Build with support for KeySequenceEditor inhibiting shortcuts on Wayland" ON)
+    option(WITH_WAYLAND "Build with support for KModifierKeyInfo, KSystemClipboard and KeySequenceRecorder inhibiting shortcuts on Wayland" ON)
     add_feature_info(WAYLAND ${WITH_WAYLAND} "KeySequenceEditor inhibiting shortcuts on Wayland")
 
-    option(WITH_X11 "Build with support for KeySequenceEditor inhibiting shortcuts on X11" ON)
+    option(WITH_X11 "Build with support for KModifierKeyInfo on X11" ON)
     add_feature_info(X11 ${WITH_X11} "KeySequenceEditor inhibiting shortcuts on X11")
+
+    option(WITH_DBUS "Build with support for color scheme information via XDG portals" ON)
+
 else()
     set(WITH_WAYLAND OFF)
     set(WITH_X11 OFF)
+    set(WITH_DBUS OFF)
 endif()
-
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
-
-include(KDEInstallDirs)
-include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
-include(KDECMakeSettings)
-include(KDEGitCommitHooks)
 
 set(REQUIRED_QT_VERSION 5.15.2)
 if (WITH_WAYLAND)
@@ -41,15 +50,14 @@
 if (WITH_X11)
     find_package(X11 REQUIRED MODULE)
     find_package(XCB REQUIRED MODULE COMPONENTS XCB)
-if (QT_MAJOR_VERSION STREQUAL "5")
-    find_package(Qt5X11Extras ${REQUIRED_QT_VERSION} CONFIG)
-else()
-    # qtx11extras_p.h is in Qt6Gui, which is already found a couple of lines above
-endif()
+    if (QT_MAJOR_VERSION STREQUAL "5")
+        find_package(Qt5X11Extras ${REQUIRED_QT_VERSION} REQUIRED CONFIG)
+    endif()
 endif()
 
 if (WITH_WAYLAND)
-    find_package(Qt${QT_MAJOR_VERSION}WaylandClient ${REQUIRED_QT_VERSION} CONFIG)
+    find_package(PlasmaWaylandProtocols 1.7.0 REQUIRED)
+    find_package(Qt${QT_MAJOR_VERSION}WaylandClient ${REQUIRED_QT_VERSION} REQUIRED CONFIG)
     # With Qt6 use qt_generate_wayland_protocol_client_sources instead of
     # ecm_add_qtwayland_client_protocol (in QtWaylandScanner from ECM)
     if (NOT TARGET Qt6::WaylandClient)
@@ -58,19 +66,19 @@
     find_package(Wayland 1.9 REQUIRED Client)
 endif()
 
-include(GenerateExportHeader)
-include(ECMSetupVersion)
-include(ECMGenerateHeaders)
-include(ECMQtDeclareLoggingCategory)
-include(ECMAddQch)
+if (WITH_DBUS)
+    find_package(Qt${QT_MAJOR_VERSION}DBus ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
+endif()
 
 ecm_setup_version(PROJECT VARIABLE_PREFIX KGUIADDONS
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kguiaddons_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5GuiAddonsConfigVersion.cmake"
                         SOVERSION 5)
 
+ecm_set_disabled_deprecation_versions(
+    QT 5.15.2
+)
 
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
 add_subdirectory(src)
 if (BUILD_TESTING)
     add_subdirectory(autotests)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,5 @@
+configure_file(config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
+
 add_library(KF5GuiAddons)
 add_library(KF5::GuiAddons ALIAS KF5GuiAddons)
 
@@ -12,6 +14,8 @@
  colors/kcolorutils.cpp
  colors/kcolorcollection.cpp
  colors/kcolormimedata.cpp
+ colors/kcolorschemewatcher.cpp
+ colors/kcolorschemewatcherbackend.cpp
  text/kdatevalidator.cpp
  text/kwordwrap.cpp
  fonts/kfontutils.cpp
@@ -25,6 +29,24 @@
  recorder/keysequencerecorder.cpp
  systemclipboard/qtclipboard.cpp
  systemclipboard/ksystemclipboard.cpp
+
+ colors/kcolorspaces_p.h
+ colors/kcolorutils.h
+ colors/kcolorcollection.h
+ colors/kcolormimedata.h
+ text/kdatevalidator.h
+ text/kwordwrap.h
+ fonts/kfontutils.h
+ util/kiconutils.h
+ util/klocalimagecacheimpl.h
+ util/kmodifierkeyinfo.h
+ util/kmodifierkeyinfoprovider_p.h
+ util/kurlhandler_p.h
+ util/kcursorsaver.h
+ recorder/keyboardgrabber_p.h
+ recorder/keysequencerecorder.h
+ systemclipboard/qtclipboard_p.h
+ systemclipboard/ksystemclipboard.h
 )
 
 ecm_qt_declare_logging_category(KF5GuiAddons
@@ -35,12 +57,30 @@
     EXPORT KGUIADDONS
 )
 
+if(WIN32)
+    target_sources(KF5GuiAddons PRIVATE colors/kcolorschemewatcher_win.cpp)
+    target_link_libraries(KF5GuiAddons PRIVATE advapi32)
+endif()
+
+if(APPLE)
+    find_library(APPKIT_LIBRARY AppKit)
+    target_sources(KF5GuiAddons PRIVATE colors/kcolorschemewatcher_mac.mm)
+    target_link_libraries(KF5GuiAddons PRIVATE ${APPKIT_LIBRARY})
+endif()
+
+if(WITH_DBUS)
+    target_sources(KF5GuiAddons PRIVATE colors/kcolorschemewatcher_xdg.cpp)
+    target_link_libraries(KF5GuiAddons PRIVATE Qt${QT_MAJOR_VERSION}::DBus)
+endif()
+
 if(WITH_WAYLAND)
     if (TARGET Qt6::WaylandClient)
         qt_generate_wayland_protocol_client_sources(KF5GuiAddons
             FILES
                 "${CMAKE_CURRENT_SOURCE_DIR}/recorder/keyboard-shortcuts-inhibit-unstable-v1.xml"
                 "${CMAKE_CURRENT_SOURCE_DIR}/systemclipboard/wlr-data-control-unstable-v1.xml"
+                "${PLASMA_WAYLAND_PROTOCOLS_DIR}/keystate.xml"
+                "${Wayland_DATADIR}/wayland.xml"
         )
     else()
         set(wayland_SRCS)
@@ -51,6 +91,14 @@
         ecm_add_qtwayland_client_protocol(wayland_SRCS
             PROTOCOL  systemclipboard/wlr-data-control-unstable-v1.xml
             BASENAME wlr-data-control-unstable-v1
+        )
+        ecm_add_qtwayland_client_protocol(wayland_SRCS
+            PROTOCOL ${PLASMA_WAYLAND_PROTOCOLS_DIR}/keystate.xml
+            BASENAME keystate
+        )
+        ecm_add_qtwayland_client_protocol(wayland_SRCS
+            PROTOCOL ${Wayland_DATADIR}/wayland.xml
+            BASENAME wayland
         )
         target_sources(KF5GuiAddons PRIVATE
             ${wayland_SRCS}
@@ -59,9 +107,21 @@
     target_sources(KF5GuiAddons PRIVATE
         recorder/waylandinhibition.cpp
         systemclipboard/waylandclipboard.cpp
+        util/kmodifierkeyinfoprovider_wayland.cpp
+        recorder/waylandinhibition_p.h
+        systemclipboard/waylandclipboard_p.h
+        util/kmodifierkeyinfoprovider_wayland.h
     )
     target_compile_definitions(KF5GuiAddons PRIVATE WITH_WAYLAND)
     target_link_libraries(KF5GuiAddons PRIVATE Qt${QT_MAJOR_VERSION}::GuiPrivate Qt${QT_MAJOR_VERSION}::WaylandClient Wayland::Client)
+endif()
+
+if(WITH_X11)
+    target_sources(KF5GuiAddons PRIVATE util/kmodifierkeyinfoprovider_xcb.cpp util/kmodifierkeyinfoprovider_xcb.h)
+    if (TARGET Qt5::X11Extras)
+        target_link_libraries(KF5GuiAddons PRIVATE Qt5::X11Extras)
+    endif()
+    target_link_libraries(KF5GuiAddons PRIVATE X11::Xkb XCB::XCB)
 endif()
 
 generate_export_header(KF5GuiAddons BASE_NAME KGuiAddons)
@@ -79,23 +139,12 @@
 target_compile_definitions(KF5GuiAddons INTERFACE "$<INSTALL_INTERFACE:KGUIADDONS_LIB>")
 target_link_libraries(KF5GuiAddons PUBLIC Qt${QT_MAJOR_VERSION}::Gui)
 
-if (WITH_X11 AND (TARGET Qt5::X11Extras OR TARGET Qt6::Gui))
-    add_library(kmodifierkey_xcb MODULE util/kmodifierkeyinfoprovider_xcb.cpp)
-    install(TARGETS kmodifierkey_xcb DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf${QT_MAJOR_VERSION}/kguiaddons/kmodifierkey/)
-
-    if (TARGET Qt5::X11Extras)
-        set(_qt_x11_libs Qt5::X11Extras)
-    elseif (TARGET Qt6::Gui)
-        set(_qt_x11_libs Qt6::GuiPrivate) # qtx11extras_p.h
-    endif()
-    target_link_libraries(kmodifierkey_xcb PRIVATE X11::Xkb XCB::XCB KF5::GuiAddons ${_qt_x11_libs})
-endif()
-
 ecm_generate_headers(KGuiAddons_HEADERS
   HEADER_NAMES
   KColorUtils
   KColorCollection
   KColorMimeData
+  KColorSchemeWatcher
 
   RELATIVE colors
   REQUIRED_HEADERS KGuiAddons_HEADERS
@@ -144,7 +193,7 @@
     REQUIRED_HEADERS KGuiAddons_HEADERS
 )
 
-install(TARGETS KF5GuiAddons EXPORT KF5GuiAddonsTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
+install(TARGETS KF5GuiAddons EXPORT KF5GuiAddonsTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
 install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kguiaddons_export.h
   util/kmodifierkeyinfoprovider_p.h
@@ -194,4 +243,6 @@
     )
 endif()
 
-add_subdirectory(geo-scheme-handler)
+if (NOT ANDROID)
+    add_subdirectory(geo-scheme-handler)
+endif()

=== debian/changelog ===
kguiaddons (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:22 +0100

kguiaddons (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.
  * Update symbols from build for 5.102.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:00 +0100

kguiaddons (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:21 +0100

=== debian/control ===
Source: kguiaddons
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 5.103.0~),
               libqt5sql5-sqlite:native,
               libqt5waylandclient5-dev (>= 5.15.2~) [linux-any],
               libqt5x11extras5-dev (>= 5.15.2~),
               libwayland-dev (>= 1.9~) [linux-any],
               libx11-dev,
               libxcb1-dev,
               pkg-config,
               plasma-wayland-protocols (>= 1.7.0~),
               qtbase5-dev (>= 5.15.2~),
               qtbase5-private-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
               qtwayland5-dev-tools (>= 5.15.0~) [linux-any],
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kguiaddons
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kguiaddons
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kguiaddons.git
Rules-Requires-Root: no

Package: libkf5guiaddons-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5guiaddons-data (<< 5.96.0-1),
Replaces: libkf5guiaddons-data (<< 5.96.0-1),
Description: additional addons for QtGui
 Qt widgets for colours, fonts and text
 .
 This package contains kde-geo-uri-handler.

Package: libkf5guiaddons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libkf5guiaddons5 (<< 5.92.0-1),
Replaces: libkf5guiaddons5 (<< 5.92.0-1),
Description: additional addons for QtGui
 Qt widgets for colours, fonts and text
 .
 This package contains shared data files.

Package: libkf5guiaddons-dev
Section: libdevel
Architecture: any
Depends: libkf5coreaddons-dev (>= 5.84.0~),
         libkf5guiaddons5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5guiaddons-doc (= ${source:Version}),
Description: development headers for the kguiaddons framework
 This package contains development files for building software that uses
 libraries from the kguiaddon framework

Package: libkf5guiaddons-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: additional addons for QtGui (documentation)
 Qt widgets for colours, fonts and text
 .
 This package contains the qch documentation files.

Package: libkf5guiaddons5
Architecture: any
Multi-Arch: same
Depends: libkf5guiaddons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5guiaddons-bin (= ${binary:Version}),
Description: additional addons for QtGui
 Qt widgets for colours, fonts and text

## kguiaddons 5.104.0

=== debian/changelog ===
kguiaddons (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:48 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-sequence-kf5,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 5.103.0~),
+               extra-cmake-modules (>= 5.104.0~),
                libqt5sql5-sqlite:native,
                libqt5waylandclient5-dev (>= 5.15.2~) [linux-any],
                libqt5x11extras5-dev (>= 5.15.2~),

## kguiaddons 5.109.0

=== debian/changelog ===
kguiaddons (5.109.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:49:02 +0100

kguiaddons (5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:19:54 +0100

kguiaddons (5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:05:23 +0100

kguiaddons (5.106.0-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.106.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols files, remove private missing symbols

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:45:38 +0100

kguiaddons (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:16:18 +0000

kguiaddons (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:43:12 +0000

kguiaddons (5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 15:56:55 +0000

kguiaddons (5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:20:21 +0000

kguiaddons (5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)
  * Update symbols.
  * Update build-deps and deps with the info from cmake.

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:14:49 +0000

kguiaddons (5.99.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.99.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Oct 2022 10:59:06 +0000

=== debian/control ===
Source: kguiaddons
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.109.0~),
               libqt5sql5-sqlite:native,
               libqt5waylandclient5-dev (>= 5.15.2~) [linux-any],
               libqt5x11extras5-dev (>= 5.15.2~),
               libwayland-dev (>= 1.9~) [linux-any],
               libx11-dev,
               libxcb1-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               plasma-wayland-protocols (>= 1.7.0~),
               qtbase5-dev (>= 5.15.2~),
               qtbase5-private-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
               qtwayland5-dev-tools (>= 5.15.0~) [linux-any],
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kguiaddons
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kguiaddons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kguiaddons
Rules-Requires-Root: no

Package: libkf5guiaddons-dev
Section: libdevel
Architecture: any
Depends: libkf5coreaddons-dev (>= 5.109.0~),
         libkf5guiaddons5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5guiaddons-doc (= ${source:Version})
Description: development headers for the kguiaddons framework
 This package contains development files for building software that uses
 libraries from the kguiaddon framework
Breaks: libkf5configwidgets-dev (<< 5.54), libkf5kdelibs4support-dev (<< 5.54)

Package: libkf5guiaddons-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: additional addons for QtGui (documentation)
 Qt widgets for colours, fonts and text
 .
 This package contains the qch documentation files.

Package: libkf5guiaddons-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: additional addons for QtGui (runtime)
 Qt widgets for colours, fonts and text
 .
 This package contains the data files.

Package: libkf5guiaddons5
Architecture: any
Multi-Arch: same
Depends: libkf5guiaddons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional addons for QtGui
 Qt widgets for colours, fonts and text
Breaks: libkf5configwidgets5 (<< 5.54),
        libkf5kdelibs4support5 (<< 5.54),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5plasma5 (<< 5.54),
        libkf5texteditor5 (<< 5.54),

Package: libkf5guiaddons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: additional addons for QtGui (documentation)
 Qt widgets for colours, fonts and text
 .
 This package contains the data files.

## kguiaddons 5.110.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.103.0") # handled by release scripts
+set(KF_VERSION "5.110.0") # handled by release scripts
 project(KGuiAddons VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.103.0  NO_MODULE)
+find_package(ECM 5.110.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -24,6 +24,7 @@
 
 option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
 add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
+option(BUILD_GEO_SCHEME_HANDLER "Build the geo: URI scheme handler. Disable this if you are building two major versions for co-installability in the older variant." ON)
 
 if (UNIX AND NOT ANDROID AND NOT APPLE)
     option(WITH_WAYLAND "Build with support for KModifierKeyInfo, KSystemClipboard and KeySequenceRecorder inhibiting shortcuts on Wayland" ON)

=== debian/changelog ===
kguiaddons (5.110.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.110.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 00:06:37 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.109.0~),
+               extra-cmake-modules (>= 5.110.0~),
                libqt5sql5-sqlite:native,
                libqt5waylandclient5-dev (>= 5.15.2~) [linux-any],
                libqt5x11extras5-dev (>= 5.15.2~),
@@ -31,7 +31,7 @@
 Package: libkf5guiaddons-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5coreaddons-dev (>= 5.109.0~),
+Depends: libkf5coreaddons-dev (>= 5.110.0~),
          libkf5guiaddons5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
